Summary:         A GNU tool for automatically generating manual pages
Name:            help2man
Version:         1.39.4
Release:         1%{?dist}%{?pext}
License:         GPL
Group:           Development/Tools
Source0:         ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
URL:             http://www.gnu.org/software/%{name}/
Buildroot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:          Brendan O'Dea <bod@debian.org>
Requires(post):  /sbin/install-info
Requires(preun): /sbin/install-info
BuildRequires:   gettext perl(Locale::gettext)


%description
GNU %{name} is a tool for automatically generating simple manual pages
from program output. It is intended to provide an easy way for software
authors to include a manual page in their distribution without having
to maintain that document.


%prep
%setup -q

# Prepare docs
%{__rm} -f ChangeLog && %{__cp} debian/changelog ChangeLog


%build
%configure \
	--enable-nls

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__rm} -f ${RPM_BUILD_ROOT}%{_infodir}/{dir,standards.info}

# Generate locale list
%find_lang %{name}


%post
if [ $1 -eq 1 ]; then	# Install
  /sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir
fi


%preun
if [ $1 -eq 0 ]; then	# Remove
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL NEWS README THANKS
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_infodir}/%{name}.info*
%{_mandir}/man1/%{name}.1*
%{_mandir}/de/man1/%{name}.1*
%{_mandir}/el/man1/%{name}.1*
%{_mandir}/eo/man1/%{name}.1*
%{_mandir}/fi/man1/%{name}.1*
%{_mandir}/fr/man1/%{name}.1*
%{_mandir}/it/man1/%{name}.1*
%{_mandir}/pl/man1/%{name}.1*
%{_mandir}/pt_BR/man1/%{name}.1*
%{_mandir}/ru/man1/%{name}.1*
%{_mandir}/sv/man1/%{name}.1*
%{_mandir}/uk/man1/%{name}.1*
%{_mandir}/vi/man1/%{name}.1*


%changelog
* Thu May 19 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.39.4-1
- New version (1.39.4)

* Mon May 09 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.39.3-1
- New version (1.39.3)

* Mon Apr 04 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.39.2-1
- New version (1.39.2)

* Tue Jan 18 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.38.4-1
- New version (1.38.4)

* Fri May 07 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.38.2-1
- New version (1.38.2)

* Mon Feb 01 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.37.1-1
- New version (1.37.1)

* Wed Aug 06 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.36.4-3
- Rewritten for buildsystem

* Mon Nov 19 2007 peter.pramberger@member.fsf.org 1.36.4-2
- created
